Matches in other apps
zpe-scraper
mount / · base https://scrape.zpe.vc · v1.0.0 · 10 operations · 6 write · 0 need no account · beta
archived: committed 2026-10-25, from 810709d5. Contract: https://scrape.zpe.vc/_/api/v1/openapi.json
POST
/_/api/v1/scrape
POST /_/api/v1/scrape
postScrape
POST /_/api/v1/scrape
Parameters
No parameters.
Request body
None: this operation takes its arguments in the path and the query.
Responses
| status | meaning | body |
|---|---|---|
200 | The answer | object |
400 | The request could not be read | object |
401 | The credential is missing or does not open this account | object |
403 | This account may not do that | object |
404 | Nothing is here | object |
429 | Too many requests | object |
Example
POST /_/api/v1/scrape, with a token from the door.
curl -X POST 'https://scrape.zpe.vc/_/api/v1/scrape' \ -H 'Authorization: Bearer $ZPE_TOKEN'
{}The example is generated from the schema in the contract: the shape is the document's, the values are placeholders.
POST
/_/api/v1/map
POST /_/api/v1/map
postMap
POST /_/api/v1/map
Parameters
No parameters.
Request body
None: this operation takes its arguments in the path and the query.
Responses
| status | meaning | body |
|---|---|---|
200 | The answer | object |
400 | The request could not be read | object |
401 | The credential is missing or does not open this account | object |
403 | This account may not do that | object |
404 | Nothing is here | object |
429 | Too many requests | object |
Example
POST /_/api/v1/map, with a token from the door.
curl -X POST 'https://scrape.zpe.vc/_/api/v1/map' \ -H 'Authorization: Bearer $ZPE_TOKEN'
{}The example is generated from the schema in the contract: the shape is the document's, the values are placeholders.
GET
/_/api/v1/balance
GET /_/api/v1/balance
getBalance
GET /_/api/v1/balance
Parameters
No parameters.
Request body
None: this operation takes its arguments in the path and the query.
Responses
| status | meaning | body |
|---|---|---|
200 | The answer | object |
400 | The request could not be read | object |
401 | The credential is missing or does not open this account | object |
403 | This account may not do that | object |
404 | Nothing is here | object |
429 | Too many requests | object |
Example
GET /_/api/v1/balance, with a token from the door.
curl -X GET 'https://scrape.zpe.vc/_/api/v1/balance' \ -H 'Authorization: Bearer $ZPE_TOKEN'
{}The example is generated from the schema in the contract: the shape is the document's, the values are placeholders.
GET
/_/api/v1/usage
GET /_/api/v1/usage
getUsage
GET /_/api/v1/usage
Parameters
No parameters.
Request body
None: this operation takes its arguments in the path and the query.
Responses
| status | meaning | body |
|---|---|---|
200 | The answer | object |
400 | The request could not be read | object |
401 | The credential is missing or does not open this account | object |
403 | This account may not do that | object |
404 | Nothing is here | object |
429 | Too many requests | object |
Example
GET /_/api/v1/usage, with a token from the door.
curl -X GET 'https://scrape.zpe.vc/_/api/v1/usage' \ -H 'Authorization: Bearer $ZPE_TOKEN'
{}The example is generated from the schema in the contract: the shape is the document's, the values are placeholders.
GET
/_/api/v1/keys
GET /_/api/v1/keys
getKeys
GET /_/api/v1/keys
Parameters
No parameters.
Request body
None: this operation takes its arguments in the path and the query.
Responses
| status | meaning | body |
|---|---|---|
200 | The answer | object |
400 | The request could not be read | object |
401 | The credential is missing or does not open this account | object |
403 | This account may not do that | object |
404 | Nothing is here | object |
429 | Too many requests | object |
Example
GET /_/api/v1/keys, with a token from the door.
curl -X GET 'https://scrape.zpe.vc/_/api/v1/keys' \ -H 'Authorization: Bearer $ZPE_TOKEN'
{}The example is generated from the schema in the contract: the shape is the document's, the values are placeholders.
POST
/_/api/v1/keys
POST /_/api/v1/keys
postKeys
POST /_/api/v1/keys
Parameters
No parameters.
Request body
None: this operation takes its arguments in the path and the query.
Responses
| status | meaning | body |
|---|---|---|
200 | The answer | object |
400 | The request could not be read | object |
401 | The credential is missing or does not open this account | object |
403 | This account may not do that | object |
404 | Nothing is here | object |
429 | Too many requests | object |
Example
POST /_/api/v1/keys, with a token from the door.
curl -X POST 'https://scrape.zpe.vc/_/api/v1/keys' \ -H 'Authorization: Bearer $ZPE_TOKEN'
{}The example is generated from the schema in the contract: the shape is the document's, the values are placeholders.
DELETE
/_/api/v1/keys/{id}
DELETE /_/api/v1/keys/:id
deleteKeysById
DELETE /_/api/v1/keys/:id
Parameters
No parameters.
Request body
None: this operation takes its arguments in the path and the query.
Responses
| status | meaning | body |
|---|---|---|
200 | The answer | object |
400 | The request could not be read | object |
401 | The credential is missing or does not open this account | object |
403 | This account may not do that | object |
404 | Nothing is here | object |
429 | Too many requests | object |
Example
DELETE /_/api/v1/keys/:id, with a token from the door.
curl -X DELETE 'https://scrape.zpe.vc/_/api/v1/keys/{id}' \
-H 'Authorization: Bearer $ZPE_TOKEN'{}The example is generated from the schema in the contract: the shape is the document's, the values are placeholders.
GET
/_/api/v1/domains
GET /_/api/v1/domains
getDomains
GET /_/api/v1/domains
Parameters
No parameters.
Request body
None: this operation takes its arguments in the path and the query.
Responses
| status | meaning | body |
|---|---|---|
200 | The answer | object |
400 | The request could not be read | object |
401 | The credential is missing or does not open this account | object |
403 | This account may not do that | object |
404 | Nothing is here | object |
429 | Too many requests | object |
Example
GET /_/api/v1/domains, with a token from the door.
curl -X GET 'https://scrape.zpe.vc/_/api/v1/domains' \ -H 'Authorization: Bearer $ZPE_TOKEN'
{}The example is generated from the schema in the contract: the shape is the document's, the values are placeholders.
POST
/_/api/v1/domains
POST /_/api/v1/domains
postDomains
POST /_/api/v1/domains
Parameters
No parameters.
Request body
None: this operation takes its arguments in the path and the query.
Responses
| status | meaning | body |
|---|---|---|
200 | The answer | object |
400 | The request could not be read | object |
401 | The credential is missing or does not open this account | object |
403 | This account may not do that | object |
404 | Nothing is here | object |
429 | Too many requests | object |
Example
POST /_/api/v1/domains, with a token from the door.
curl -X POST 'https://scrape.zpe.vc/_/api/v1/domains' \ -H 'Authorization: Bearer $ZPE_TOKEN'
{}The example is generated from the schema in the contract: the shape is the document's, the values are placeholders.
DELETE
/_/api/v1/domains/{domain}
DELETE /_/api/v1/domains/:domain
deleteDomainsById
DELETE /_/api/v1/domains/:domain
Parameters
No parameters.
Request body
None: this operation takes its arguments in the path and the query.
Responses
| status | meaning | body |
|---|---|---|
200 | The answer | object |
400 | The request could not be read | object |
401 | The credential is missing or does not open this account | object |
403 | This account may not do that | object |
404 | Nothing is here | object |
429 | Too many requests | object |
Example
DELETE /_/api/v1/domains/:domain, with a token from the door.
curl -X DELETE 'https://scrape.zpe.vc/_/api/v1/domains/{domain}' \
-H 'Authorization: Bearer $ZPE_TOKEN'{}The example is generated from the schema in the contract: the shape is the document's, the values are placeholders.